Duden Korrektor 4.0 und OOo 2.4

spezielle Probleme mit AOO/LO unter Linux

Moderator: Moderatoren

Wolfgang_J
Beiträge: 1
Registriert: Mo, 19.05.2008 20:31

Duden Korrektor 4.0 und OOo 2.4

Beitrag von Wolfgang_J » Mo, 19.05.2008 20:39

Hallo zusammen,
bisher lief der Duden Korrektor mit OOo 2.3 (Source-Version).
Nach meinem Umstieg auf OOo 2.4 kann ich die Korrektor-Extension nicht mehr aktivieren.
Nach Aufruf von
/usr/lib/openoffice/program/unopkg add -v Duden-Korrektor/doos4.0.1.uno.pkg

erhalte ich folgende Fehlermeldung:

Code: Alles auswählen

Kopiere: doos4.0.1.uno.pkg
Aktiviere: doos4.0.1.uno.pkg
 Aktiviere: doos.xcs
 Aktiviere: DOOS
 Aktiviere: ProtocolHandler.xcu
 Aktiviere: doos.xcu
 Aktiviere: Addons.xcu
 Aktiviere: doos4.0.1.uno.so

ERROR: (com.sun.star.deployment.DeploymentException) { { Message = "Fehler beim Aktivieren von: doos4.0.1.uno.so", Context = (com.sun.star.uno.XInterface) @8104d40 }, Cause = (any) { (com.sun.star.registry.CannotRegisterImplementationException) { { Message = "loading component library failed: file:///root/.ooo-2.0/user/uno_packages/cache/uno_packages/zsXFd8_/doos4.0.1.uno.pkg/linux_x86.plt/doos4.0.1.uno.so", Context = (com.sun.star.uno.XInterface) @0 } } } }
 rollback...
  Deaktiviere: Addons.xcu
  Deaktiviere: doos.xcu
  Deaktiviere: ProtocolHandler.xcu
  Deaktiviere: DOOS
  Deaktiviere: doos.xcs
  rollback finished.

unopkg failed.
Kann jemand von euch die Meldung interpretieren und mir einen Lösungsweg verraten?
Bei OOo 2.3 was die Installation des ODK bzw. die Kompilation die Lösung. Hier habe ich nur Fragezeichen.

Tschüß
Wolfgang

Gast

Re: Duden Korrektor 4.0 und OOo 2.4

Beitrag von Gast » Do, 26.06.2008 17:11

Hallo Wolfgang,

ich habe das ganze bei mir ausprobiert (SuSE 11.0, OO 2.4.1) Offensichtlich liegt es an unopkg Die Zeile

file:///root/.ooo-2.0/user/uno_packages/cache/uno_packages/zsXFd8_/doos4.0.1.uno.pkg/linux_x86.plt/doos4.0.1.uno.so

besagt, daß die Datei 'doos4.0.1.uno.so' im Verzeichnis /root/.ooo-2.0/user/uno_packages/cache/uno_packages/zsXFd8_/doos4.0.1.uno.pkg/linux_x86.plt
gesucht wird. unopkg entpackt aber nach /root/.ooo-2.0/user/uno_packages/zsXFd8_ und findet dann logischerweise nichts.

Ich habe keine Lösung gefunden, da die Verzeichnisstruktur dynamisch aufgebaut wird (was hier zsXFd8_ heißt, ändert sich jedes Mal)

Grüße,
Joachim

Antworten